/*
===============================================================================
=== Released under GPL (GNU Public License) ==== No Any Warranty ==============
===============================================================================
*/

#include "../include/common.h"
#include "../include/workspace.h"

/* === Open Workspace ================================== */
void OzEDIT_OpenWorkspace(gchar *wsfilename) {
    



}

/* === Save Workspace ================================== */
void OzEDIT_SaveWorkspace(gchar *wsfilename) {
    struct _OzEDIT_Object *object;
    struct _OzEDIT_Bookmark *bookmark;
    FILE *f;
    guint i;
    f = fopen(wsfilename,"w");
    if(f == NULL) {
	OzEDIT_ErrorDialog("Cannot create/write file %s !",wsfilename);
	return;
    }
    /* Ora procedi a salvare il WorkSpace in pseudo-XML */
    fprintf(f,"! OzEDITor WorkSpace http://ozeditor.zerozone.it \n");
    fprintf(f,"! v%02d.%02d.%02d \n",OZEDIT_VERSION,OZEDIT_SUBVERSION,OZEDIT_PATCH);
    /* Oggetti */
    fprintf(f,"! Objects Section \n");    
    for(i=0;i<g_list_length(topclass.objects);i++) {
	object = g_list_nth_data(topclass.objects,i);
	fprintf(f,"<Object>\n",i);
	fprintf(f,"  <Name \"%s\">\n",object->name);
	fprintf(f,"  <FileName \"%s\">\n",object->filename);
        for(i=0;i<g_list_length(object->bookmarks);i++) {
	    bookmark = g_list_nth_data(object->bookmarks,i);
	}
	fprintf(f,"</Object>\n",i);
    }
    fprintf(f,"! End \n");    
    fclose(f);
}

/* === Close Workspace ================================== */
void OzEDIT_CloseWorkspace(gchar *wsfilename) {

}

